Package org.flowable.bpmn.model

# Class ValuedDataObject

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.DataObject
org.flowable.bpmn.model.ValuedDataObject

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `BooleanDataObject`, `DateDataObject`, `DoubleDataObject`, `IntegerDataObject`, `JsonDataObject`, `LongDataObject`, `StringDataObject`

public abstract class ValuedDataObject extends DataObject

Author:
  Lori Small

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `value`

  ### Fields inherited from class org.flowable.bpmn.model.DataObject

  `itemSubjectRef`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValuedDataObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ValuedDataObject`
  `clone()`
  `boolean`
  `equals(Object o)`
  `String`
  `getType()`
  `Object`
  `getValue()`
  `int`
  `hashCode()`
  `abstract void`
  `setValue(Object value)`
  `void`
  `setValues(ValuedDataObject otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.DataObject

  `getItemSubjectRef, setItemSubjectRef, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    protected Object value

- ## Constructor Details

  - ### ValuedDataObject

    public ValuedDataObject()

- ## Method Details

  - ### getValue

    public Object getValue()

  - ### setValue

    public abstract void setValue(Object value)

  - ### clone

    public abstract ValuedDataObject clone()
    Overrides:
      `clone` in class `DataObject`

  - ### setValues

    public void setValues(ValuedDataObject otherElement)

  - ### getType

    public String getType()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`